org.jboss.jca.core.security.picketbox

## Class PicketBoxCallbackHandler

- java.lang.Object
- - org.jboss.jca.core.security.picketbox.PicketBoxCallbackHandler

- All Implemented Interfaces:
    java.io.Serializable, javax.security.auth.callback.CallbackHandler

      public class PicketBoxCallbackHandler
      extends java.lang.Object
      implements javax.security.auth.callback.CallbackHandler, java.io.Serializable

  An implementation of the callback SPI using PicketBox
  Author:
    Jesper Pedersen
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PicketBoxCallbackHandler()` Constructor
    `PicketBoxCallbackHandler(org.jboss.jca.core.spi.security.Callback mappings)` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(javax.security.auth.callback.Callback[] callbacks)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PicketBoxCallbackHandler

          public PicketBoxCallbackHandler()

      Constructor

    - #### PicketBoxCallbackHandler

          public PicketBoxCallbackHandler(org.jboss.jca.core.spi.security.Callback mappings)

      Constructor
      Parameters:
        `mappings` - The mappings

  - ### Method Detail

    - #### handle

          public void handle(javax.security.auth.callback.Callback[] callbacks)
                      throws javax.security.auth.callback.UnsupportedCallbackException,
                             java.io.IOException

      Specified by:
        `handle` in interface `javax.security.auth.callback.CallbackHandler`
      Throws:
        `javax.security.auth.callback.UnsupportedCallbackException`
        `java.io.IOException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)